<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Document</title>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
      integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
      integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <link rel="stylesheet" href="./assets/css/style.css" />
  </head>

  <body>
    <div class="container-fluid">
      <div class="row">
        <div class="col-6 mx-auto">
          <h3 class="display-4 text-center">Quản Lý sinh viên</h3>
          <form id="formQLSV">
            <div class="row">
              <div class="col-6 form-group">
                <label for="">Mã Sinh Viên : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtMaSV"
                  data-name="_id"
                />
                <span id="spanMaSV" class="text-danger"></span>
              </div>
              <div class="col-6 form-group">
                <label for="">Tên Sinh Viên : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtTenSV"
                  data-name="_name"
                />
                <span id="spanTenSV" class="text-danger"></span>
              </div>
            </div>
            <div class="row">
              <div class="col-6 form-group">
                <label for="">Email : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtEmail"
                  data-name="_email"
                />
                <span id="spanEmailSV" class="text-danger"></span>
              </div>
              <div class="col-6 form-group">
                <label for="">Mật khẩu: </label>
                <input
                  type="password"
                  class="form-control"
                  id="txtPass"
                  data-name="_pass"
                />
                <span id="spanMatKhau" class="text-danger"></span>
              </div>
            </div>

            <div class="row">
              <div class="col-4 form-group">
                <label for="">Điểm toán : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtDiemToan"
                  data-name="_math"
                />
                <span id="spanToan" class="text-danger"></span>
              </div>
              <div class="col-4 form-group">
                <label for="">Điểm lý : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtDiemLy"
                  data-name="_physics"
                />
                <span id="spanLy" class="text-danger"></span>
              </div>
              <div class="col-4 form-group">
                <label for="">Điểm hóa : </label>
                <input
                  type="text"
                  class="form-control"
                  id="txtDiemHoa"
                  data-name="_chem"
                />
                <span id="spanHoa" class="text-danger"></span>
              </div>
            </div>

            <div class="form-group text-center">
              <button type="button" id="addSV" class="btn btn-success">
                Thêm Sinh Viên
              </button>

              <button type="button" id="clearTable" class="btn btn-dark">
                Reset
              </button>
              <button type="button" id="updateTable" class="btn btn-info">
                Cập Nhật
              </button>
            </div>
          </form>
          <div class="row">
            <div class="col-9 form-group">
              <input
                placeholder="Nhập tên sinh viên"
                type="text"
                class="form-control"
                id="txtSearch"
              />
            </div>
            <div class="col-3 form-group">
              <button id="btnSearch" class="btn btn-primary">Search</button>
            </div>
          </div>
        </div>
        <div class="col-8 mx-auto">
          <table class="table">
            <thead>
              <tr>
                <th>Mã Sinh Viên</th>
                <th>Tên Sinh Viên</th>
                <th>Email</th>
                <th>Điểm Trung Bình</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody id="tbodySinhVien"></tbody>
          </table>
        </div>
      </div>
      <script
        src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"
      ></script>
      <script
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"
      ></script>
      <script
        src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"
      ></script>
      <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
      <script type="module" src="./assets/js/index.js"></script>
    </div>
  </body>
</html>
